Changeset 21494

Show
Ignore:
Timestamp:
18.01.2010 14:51:56 (9 years ago)
Author:
mdewsnip
Message:

Added check for crypt, necessary for linking library.cgi.

Location:
main/trunk/gs2-core/runtime-src
Files:
6 modified

Legend:

Unmodified
Added
Removed
  • main/trunk/gs2-core/runtime-src/Makefile.in

    r21482 r21494  
    106106AUTOMAKE = @AUTOMAKE@ 
    107107AWK = @AWK@ 
     108CC = @CC@ 
     109CCDEPMODE = @CCDEPMODE@ 
     110CFLAGS = @CFLAGS@ 
    108111COMPAT32BITFLAGS = @COMPAT32BITFLAGS@ 
    109112CPPFLAGS = @CPPFLAGS@ 
     
    142145USE_SQLITE_TRUE = @USE_SQLITE_TRUE@ 
    143146VERSION = @VERSION@ 
     147ac_ct_CC = @ac_ct_CC@ 
    144148ac_ct_CXX = @ac_ct_CXX@ 
    145149ac_ct_RANLIB = @ac_ct_RANLIB@ 
    146150ac_ct_STRIP = @ac_ct_STRIP@ 
     151am__fastdepCC_FALSE = @am__fastdepCC_FALSE@ 
     152am__fastdepCC_TRUE = @am__fastdepCC_TRUE@ 
    147153am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@ 
    148154am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@ 
  • main/trunk/gs2-core/runtime-src/config.h.in

    r21473 r21494  
    11/* config.h.in.  Generated from configure.ac by autoheader.  */ 
     2 
     3/* Define to 1 if you have the `crypt' library (-lcrypt). */ 
     4#undef HAVE_LIBCRYPT 
    25 
    36/* Define to the address where bug reports for this package should be sent. */ 
  • main/trunk/gs2-core/runtime-src/configure

    r21482 r21494  
    274274PACKAGE_BUGREPORT='greenstone@cs.waikato.ac.nz' 
    275275 
    276 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os COMPAT32BITFLAGS USE_SQLITE_TRUE USE_SQLITE_FALSE LIBOBJS LTLIBOBJS' 
     276ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os COMPAT32BITFLAGS USE_SQLITE_TRUE USE_SQLITE_FALSE LIBOBJS LTLIBOBJS' 
    277277ac_subst_files='' 
    278278 
     
    715715ac_cv_env_target_alias_set=${target_alias+set} 
    716716ac_cv_env_target_alias_value=$target_alias 
     717ac_env_CC_set=${CC+set} 
     718ac_env_CC_value=$CC 
     719ac_cv_env_CC_set=${CC+set} 
     720ac_cv_env_CC_value=$CC 
     721ac_env_CFLAGS_set=${CFLAGS+set} 
     722ac_env_CFLAGS_value=$CFLAGS 
     723ac_cv_env_CFLAGS_set=${CFLAGS+set} 
     724ac_cv_env_CFLAGS_value=$CFLAGS 
     725ac_env_LDFLAGS_set=${LDFLAGS+set} 
     726ac_env_LDFLAGS_value=$LDFLAGS 
     727ac_cv_env_LDFLAGS_set=${LDFLAGS+set} 
     728ac_cv_env_LDFLAGS_value=$LDFLAGS 
     729ac_env_CPPFLAGS_set=${CPPFLAGS+set} 
     730ac_env_CPPFLAGS_value=$CPPFLAGS 
     731ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set} 
     732ac_cv_env_CPPFLAGS_value=$CPPFLAGS 
    717733ac_env_CXX_set=${CXX+set} 
    718734ac_env_CXX_value=$CXX 
     
    723739ac_cv_env_CXXFLAGS_set=${CXXFLAGS+set} 
    724740ac_cv_env_CXXFLAGS_value=$CXXFLAGS 
    725 ac_env_LDFLAGS_set=${LDFLAGS+set} 
    726 ac_env_LDFLAGS_value=$LDFLAGS 
    727 ac_cv_env_LDFLAGS_set=${LDFLAGS+set} 
    728 ac_cv_env_LDFLAGS_value=$LDFLAGS 
    729 ac_env_CPPFLAGS_set=${CPPFLAGS+set} 
    730 ac_env_CPPFLAGS_value=$CPPFLAGS 
    731 ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set} 
    732 ac_cv_env_CPPFLAGS_value=$CPPFLAGS 
    733741 
    734742# 
     
    817825 
    818826Some influential environment variables: 
    819   CXX         C++ compiler command 
    820   CXXFLAGS    C++ compiler flags 
     827  CC          C compiler command 
     828  CFLAGS      C compiler flags 
    821829  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a 
    822830              nonstandard directory <lib dir> 
    823831  CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have 
    824832              headers in a nonstandard directory <include dir> 
     833  CXX         C++ compiler command 
     834  CXXFLAGS    C++ compiler flags 
    825835 
    826836Use these variables to override the choices made by `configure' or to help 
     
    17041714 
    17051715 
    1706 # This package requires C++ compilation and library creation 
    1707 ac_ext=cc 
    1708 ac_cpp='$CXXCPP $CPPFLAGS' 
    1709 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
    1710 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
    1711 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu 
     1716# This package requires the crypt library 
     1717DEPDIR="${am__leading_dot}deps" 
     1718 
     1719          ac_config_commands="$ac_config_commands depfiles" 
     1720 
     1721 
     1722am_make=${MAKE-make} 
     1723cat > confinc << 'END' 
     1724am__doit: 
     1725    @echo done 
     1726.PHONY: am__doit 
     1727END 
     1728# If we don't find an include directive, just comment out the code. 
     1729echo "$as_me:$LINENO: checking for style of include used by $am_make" >&5 
     1730echo $ECHO_N "checking for style of include used by $am_make... $ECHO_C" >&6 
     1731am__include="#" 
     1732am__quote= 
     1733_am_result=none 
     1734# First try GNU make style include. 
     1735echo "include confinc" > confmf 
     1736# We grep out `Entering directory' and `Leaving directory' 
     1737# messages which can occur if `w' ends up in MAKEFLAGS. 
     1738# In particular we don't look at `^make:' because GNU make might 
     1739# be invoked under some other name (usually "gmake"), in which 
     1740# case it prints its new name instead of `make'. 
     1741if test "`$am_make -s -f confmf 2> /dev/null | grep -v 'ing directory'`" = "done"; then 
     1742   am__include=include 
     1743   am__quote= 
     1744   _am_result=GNU 
     1745fi 
     1746# Now try BSD make style include. 
     1747if test "$am__include" = "#"; then 
     1748   echo '.include "confinc"' > confmf 
     1749   if test "`$am_make -s -f confmf 2> /dev/null`" = "done"; then 
     1750      am__include=.include 
     1751      am__quote="\"" 
     1752      _am_result=BSD 
     1753   fi 
     1754fi 
     1755 
     1756 
     1757echo "$as_me:$LINENO: result: $_am_result" >&5 
     1758echo "${ECHO_T}$_am_result" >&6 
     1759rm -f confinc confmf 
     1760 
     1761# Check whether --enable-dependency-tracking or --disable-dependency-tracking was given. 
     1762if test "${enable_dependency_tracking+set}" = set; then 
     1763  enableval="$enable_dependency_tracking" 
     1764 
     1765fi; 
     1766if test "x$enable_dependency_tracking" != xno; then 
     1767  am_depcomp="$ac_aux_dir/depcomp" 
     1768  AMDEPBACKSLASH='\' 
     1769fi 
     1770 
     1771 
     1772if test "x$enable_dependency_tracking" != xno; then 
     1773  AMDEP_TRUE= 
     1774  AMDEP_FALSE='#' 
     1775else 
     1776  AMDEP_TRUE='#' 
     1777  AMDEP_FALSE= 
     1778fi 
     1779 
     1780 
     1781 
     1782ac_ext=c 
     1783ac_cpp='$CPP $CPPFLAGS' 
     1784ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
     1785ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
     1786ac_compiler_gnu=$ac_cv_c_compiler_gnu 
    17121787if test -n "$ac_tool_prefix"; then 
    1713   for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC 
    1714   do 
    1715     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args. 
    1716 set dummy $ac_tool_prefix$ac_prog; ac_word=$2 
     1788  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args. 
     1789set dummy ${ac_tool_prefix}gcc; ac_word=$2 
    17171790echo "$as_me:$LINENO: checking for $ac_word" >&5 
    17181791echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
    1719 if test "${ac_cv_prog_CXX+set}" = set; then 
     1792if test "${ac_cv_prog_CC+set}" = set; then 
    17201793  echo $ECHO_N "(cached) $ECHO_C" >&6 
    17211794else 
    1722   if test -n "$CXX"; then 
    1723   ac_cv_prog_CXX="$CXX" # Let the user override the test. 
     1795  if test -n "$CC"; then 
     1796  ac_cv_prog_CC="$CC" # Let the user override the test. 
    17241797else 
    17251798as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     
    17301803  for ac_exec_ext in '' $ac_executable_extensions; do 
    17311804  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
    1732     ac_cv_prog_CXX="$ac_tool_prefix$ac_prog" 
     1805    ac_cv_prog_CC="${ac_tool_prefix}gcc" 
    17331806    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    17341807    break 2 
     
    17391812fi 
    17401813fi 
    1741 CXX=$ac_cv_prog_CXX 
    1742 if test -n "$CXX"; then 
    1743   echo "$as_me:$LINENO: result: $CXX" >&5 
    1744 echo "${ECHO_T}$CXX" >&6 
     1814CC=$ac_cv_prog_CC 
     1815if test -n "$CC"; then 
     1816  echo "$as_me:$LINENO: result: $CC" >&5 
     1817echo "${ECHO_T}$CC" >&6 
    17451818else 
    17461819  echo "$as_me:$LINENO: result: no" >&5 
     
    17481821fi 
    17491822 
    1750     test -n "$CXX" && break 
    1751   done 
    1752 fi 
    1753 if test -z "$CXX"; then 
    1754   ac_ct_CXX=$CXX 
    1755   for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC 
    1756 do 
    1757   # Extract the first word of "$ac_prog", so it can be a program name with args. 
    1758 set dummy $ac_prog; ac_word=$2 
     1823fi 
     1824if test -z "$ac_cv_prog_CC"; then 
     1825  ac_ct_CC=$CC 
     1826  # Extract the first word of "gcc", so it can be a program name with args. 
     1827set dummy gcc; ac_word=$2 
    17591828echo "$as_me:$LINENO: checking for $ac_word" >&5 
    17601829echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
    1761 if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then 
     1830if test "${ac_cv_prog_ac_ct_CC+set}" = set; then 
    17621831  echo $ECHO_N "(cached) $ECHO_C" >&6 
    17631832else 
    1764   if test -n "$ac_ct_CXX"; then 
    1765   ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test. 
     1833  if test -n "$ac_ct_CC"; then 
     1834  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test. 
    17661835else 
    17671836as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     
    17721841  for ac_exec_ext in '' $ac_executable_extensions; do 
    17731842  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
    1774     ac_cv_prog_ac_ct_CXX="$ac_prog" 
     1843    ac_cv_prog_ac_ct_CC="gcc" 
    17751844    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
    17761845    break 2 
     
    17811850fi 
    17821851fi 
    1783 ac_ct_CXX=$ac_cv_prog_ac_ct_CXX 
    1784 if test -n "$ac_ct_CXX"; then 
    1785   echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5 
    1786 echo "${ECHO_T}$ac_ct_CXX" >&6 
     1852ac_ct_CC=$ac_cv_prog_ac_ct_CC 
     1853if test -n "$ac_ct_CC"; then 
     1854  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5 
     1855echo "${ECHO_T}$ac_ct_CC" >&6 
    17871856else 
    17881857  echo "$as_me:$LINENO: result: no" >&5 
     
    17901859fi 
    17911860 
    1792   test -n "$ac_ct_CXX" && break 
    1793 done 
    1794 test -n "$ac_ct_CXX" || ac_ct_CXX="g++" 
    1795  
    1796   CXX=$ac_ct_CXX 
    1797 fi 
    1798  
     1861  CC=$ac_ct_CC 
     1862else 
     1863  CC="$ac_cv_prog_CC" 
     1864fi 
     1865 
     1866if test -z "$CC"; then 
     1867  if test -n "$ac_tool_prefix"; then 
     1868  # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args. 
     1869set dummy ${ac_tool_prefix}cc; ac_word=$2 
     1870echo "$as_me:$LINENO: checking for $ac_word" >&5 
     1871echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
     1872if test "${ac_cv_prog_CC+set}" = set; then 
     1873  echo $ECHO_N "(cached) $ECHO_C" >&6 
     1874else 
     1875  if test -n "$CC"; then 
     1876  ac_cv_prog_CC="$CC" # Let the user override the test. 
     1877else 
     1878as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     1879for as_dir in $PATH 
     1880do 
     1881  IFS=$as_save_IFS 
     1882  test -z "$as_dir" && as_dir=. 
     1883  for ac_exec_ext in '' $ac_executable_extensions; do 
     1884  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
     1885    ac_cv_prog_CC="${ac_tool_prefix}cc" 
     1886    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
     1887    break 2 
     1888  fi 
     1889done 
     1890done 
     1891 
     1892fi 
     1893fi 
     1894CC=$ac_cv_prog_CC 
     1895if test -n "$CC"; then 
     1896  echo "$as_me:$LINENO: result: $CC" >&5 
     1897echo "${ECHO_T}$CC" >&6 
     1898else 
     1899  echo "$as_me:$LINENO: result: no" >&5 
     1900echo "${ECHO_T}no" >&6 
     1901fi 
     1902 
     1903fi 
     1904if test -z "$ac_cv_prog_CC"; then 
     1905  ac_ct_CC=$CC 
     1906  # Extract the first word of "cc", so it can be a program name with args. 
     1907set dummy cc; ac_word=$2 
     1908echo "$as_me:$LINENO: checking for $ac_word" >&5 
     1909echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
     1910if test "${ac_cv_prog_ac_ct_CC+set}" = set; then 
     1911  echo $ECHO_N "(cached) $ECHO_C" >&6 
     1912else 
     1913  if test -n "$ac_ct_CC"; then 
     1914  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test. 
     1915else 
     1916as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     1917for as_dir in $PATH 
     1918do 
     1919  IFS=$as_save_IFS 
     1920  test -z "$as_dir" && as_dir=. 
     1921  for ac_exec_ext in '' $ac_executable_extensions; do 
     1922  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
     1923    ac_cv_prog_ac_ct_CC="cc" 
     1924    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
     1925    break 2 
     1926  fi 
     1927done 
     1928done 
     1929 
     1930fi 
     1931fi 
     1932ac_ct_CC=$ac_cv_prog_ac_ct_CC 
     1933if test -n "$ac_ct_CC"; then 
     1934  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5 
     1935echo "${ECHO_T}$ac_ct_CC" >&6 
     1936else 
     1937  echo "$as_me:$LINENO: result: no" >&5 
     1938echo "${ECHO_T}no" >&6 
     1939fi 
     1940 
     1941  CC=$ac_ct_CC 
     1942else 
     1943  CC="$ac_cv_prog_CC" 
     1944fi 
     1945 
     1946fi 
     1947if test -z "$CC"; then 
     1948  # Extract the first word of "cc", so it can be a program name with args. 
     1949set dummy cc; ac_word=$2 
     1950echo "$as_me:$LINENO: checking for $ac_word" >&5 
     1951echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
     1952if test "${ac_cv_prog_CC+set}" = set; then 
     1953  echo $ECHO_N "(cached) $ECHO_C" >&6 
     1954else 
     1955  if test -n "$CC"; then 
     1956  ac_cv_prog_CC="$CC" # Let the user override the test. 
     1957else 
     1958  ac_prog_rejected=no 
     1959as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     1960for as_dir in $PATH 
     1961do 
     1962  IFS=$as_save_IFS 
     1963  test -z "$as_dir" && as_dir=. 
     1964  for ac_exec_ext in '' $ac_executable_extensions; do 
     1965  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
     1966    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then 
     1967       ac_prog_rejected=yes 
     1968       continue 
     1969     fi 
     1970    ac_cv_prog_CC="cc" 
     1971    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
     1972    break 2 
     1973  fi 
     1974done 
     1975done 
     1976 
     1977if test $ac_prog_rejected = yes; then 
     1978  # We found a bogon in the path, so make sure we never use it. 
     1979  set dummy $ac_cv_prog_CC 
     1980  shift 
     1981  if test $# != 0; then 
     1982    # We chose a different compiler from the bogus one. 
     1983    # However, it has the same basename, so the bogon will be chosen 
     1984    # first if we set CC to just the basename; use the full file name. 
     1985    shift 
     1986    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@" 
     1987  fi 
     1988fi 
     1989fi 
     1990fi 
     1991CC=$ac_cv_prog_CC 
     1992if test -n "$CC"; then 
     1993  echo "$as_me:$LINENO: result: $CC" >&5 
     1994echo "${ECHO_T}$CC" >&6 
     1995else 
     1996  echo "$as_me:$LINENO: result: no" >&5 
     1997echo "${ECHO_T}no" >&6 
     1998fi 
     1999 
     2000fi 
     2001if test -z "$CC"; then 
     2002  if test -n "$ac_tool_prefix"; then 
     2003  for ac_prog in cl 
     2004  do 
     2005    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args. 
     2006set dummy $ac_tool_prefix$ac_prog; ac_word=$2 
     2007echo "$as_me:$LINENO: checking for $ac_word" >&5 
     2008echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
     2009if test "${ac_cv_prog_CC+set}" = set; then 
     2010  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2011else 
     2012  if test -n "$CC"; then 
     2013  ac_cv_prog_CC="$CC" # Let the user override the test. 
     2014else 
     2015as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     2016for as_dir in $PATH 
     2017do 
     2018  IFS=$as_save_IFS 
     2019  test -z "$as_dir" && as_dir=. 
     2020  for ac_exec_ext in '' $ac_executable_extensions; do 
     2021  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
     2022    ac_cv_prog_CC="$ac_tool_prefix$ac_prog" 
     2023    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
     2024    break 2 
     2025  fi 
     2026done 
     2027done 
     2028 
     2029fi 
     2030fi 
     2031CC=$ac_cv_prog_CC 
     2032if test -n "$CC"; then 
     2033  echo "$as_me:$LINENO: result: $CC" >&5 
     2034echo "${ECHO_T}$CC" >&6 
     2035else 
     2036  echo "$as_me:$LINENO: result: no" >&5 
     2037echo "${ECHO_T}no" >&6 
     2038fi 
     2039 
     2040    test -n "$CC" && break 
     2041  done 
     2042fi 
     2043if test -z "$CC"; then 
     2044  ac_ct_CC=$CC 
     2045  for ac_prog in cl 
     2046do 
     2047  # Extract the first word of "$ac_prog", so it can be a program name with args. 
     2048set dummy $ac_prog; ac_word=$2 
     2049echo "$as_me:$LINENO: checking for $ac_word" >&5 
     2050echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
     2051if test "${ac_cv_prog_ac_ct_CC+set}" = set; then 
     2052  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2053else 
     2054  if test -n "$ac_ct_CC"; then 
     2055  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test. 
     2056else 
     2057as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     2058for as_dir in $PATH 
     2059do 
     2060  IFS=$as_save_IFS 
     2061  test -z "$as_dir" && as_dir=. 
     2062  for ac_exec_ext in '' $ac_executable_extensions; do 
     2063  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
     2064    ac_cv_prog_ac_ct_CC="$ac_prog" 
     2065    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
     2066    break 2 
     2067  fi 
     2068done 
     2069done 
     2070 
     2071fi 
     2072fi 
     2073ac_ct_CC=$ac_cv_prog_ac_ct_CC 
     2074if test -n "$ac_ct_CC"; then 
     2075  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5 
     2076echo "${ECHO_T}$ac_ct_CC" >&6 
     2077else 
     2078  echo "$as_me:$LINENO: result: no" >&5 
     2079echo "${ECHO_T}no" >&6 
     2080fi 
     2081 
     2082  test -n "$ac_ct_CC" && break 
     2083done 
     2084 
     2085  CC=$ac_ct_CC 
     2086fi 
     2087 
     2088fi 
     2089 
     2090 
     2091test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH 
     2092See \`config.log' for more details." >&5 
     2093echo "$as_me: error: no acceptable C compiler found in \$PATH 
     2094See \`config.log' for more details." >&2;} 
     2095   { (exit 1); exit 1; }; } 
    17992096 
    18002097# Provide some information about the compiler. 
    18012098echo "$as_me:$LINENO:" \ 
    1802      "checking for C++ compiler version" >&5 
     2099     "checking for C compiler version" >&5 
    18032100ac_compiler=`set X $ac_compile; echo $2` 
    18042101{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5 
     
    18382135# It will help us diagnose broken compilers, and finding out an intuition 
    18392136# of exeext. 
    1840 echo "$as_me:$LINENO: checking for C++ compiler default output file name" >&5 
    1841 echo $ECHO_N "checking for C++ compiler default output file name... $ECHO_C" >&6 
     2137echo "$as_me:$LINENO: checking for C compiler default output file name" >&5 
     2138echo $ECHO_N "checking for C compiler default output file name... $ECHO_C" >&6 
    18422139ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'` 
    18432140if { (eval echo "$as_me:$LINENO: \"$ac_link_default\"") >&5 
     
    18822179sed 's/^/| /' conftest.$ac_ext >&5 
    18832180 
    1884 { { echo "$as_me:$LINENO: error: C++ compiler cannot create executables 
     2181{ { echo "$as_me:$LINENO: error: C compiler cannot create executables 
    18852182See \`config.log' for more details." >&5 
    1886 echo "$as_me: error: C++ compiler cannot create executables 
     2183echo "$as_me: error: C compiler cannot create executables 
    18872184See \`config.log' for more details." >&2;} 
    18882185   { (exit 77); exit 77; }; } 
     
    18952192# Check the compiler produces executables we can run.  If not, either 
    18962193# the compiler is broken, or we cross compile. 
    1897 echo "$as_me:$LINENO: checking whether the C++ compiler works" >&5 
    1898 echo $ECHO_N "checking whether the C++ compiler works... $ECHO_C" >&6 
     2194echo "$as_me:$LINENO: checking whether the C compiler works" >&5 
     2195echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6 
    18992196# FIXME: These cross compiler hacks should be removed for Autoconf 3.0 
    19002197# If not cross compiling, check that we can run a simple program. 
     
    19112208    cross_compiling=yes 
    19122209    else 
    1913     { { echo "$as_me:$LINENO: error: cannot run C++ compiled programs. 
     2210    { { echo "$as_me:$LINENO: error: cannot run C compiled programs. 
    19142211If you meant to cross compile, use \`--host'. 
    19152212See \`config.log' for more details." >&5 
    1916 echo "$as_me: error: cannot run C++ compiled programs. 
     2213echo "$as_me: error: cannot run C compiled programs. 
    19172214If you meant to cross compile, use \`--host'. 
    19182215See \`config.log' for more details." >&2;} 
     
    20192316OBJEXT=$ac_cv_objext 
    20202317ac_objext=$OBJEXT 
     2318echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5 
     2319echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6 
     2320if test "${ac_cv_c_compiler_gnu+set}" = set; then 
     2321  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2322else 
     2323  cat >conftest.$ac_ext <<_ACEOF 
     2324/* confdefs.h.  */ 
     2325_ACEOF 
     2326cat confdefs.h >>conftest.$ac_ext 
     2327cat >>conftest.$ac_ext <<_ACEOF 
     2328/* end confdefs.h.  */ 
     2329 
     2330int 
     2331main () 
     2332{ 
     2333#ifndef __GNUC__ 
     2334       choke me 
     2335#endif 
     2336 
     2337  ; 
     2338  return 0; 
     2339} 
     2340_ACEOF 
     2341rm -f conftest.$ac_objext 
     2342if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     2343  (eval $ac_compile) 2>conftest.er1 
     2344  ac_status=$? 
     2345  grep -v '^ *+' conftest.er1 >conftest.err 
     2346  rm -f conftest.er1 
     2347  cat conftest.err >&5 
     2348  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2349  (exit $ac_status); } && 
     2350     { ac_try='test -z "$ac_c_werror_flag" 
     2351             || test ! -s conftest.err' 
     2352  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2353  (eval $ac_try) 2>&5 
     2354  ac_status=$? 
     2355  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2356  (exit $ac_status); }; } && 
     2357     { ac_try='test -s conftest.$ac_objext' 
     2358  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2359  (eval $ac_try) 2>&5 
     2360  ac_status=$? 
     2361  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2362  (exit $ac_status); }; }; then 
     2363  ac_compiler_gnu=yes 
     2364else 
     2365  echo "$as_me: failed program was:" >&5 
     2366sed 's/^/| /' conftest.$ac_ext >&5 
     2367 
     2368ac_compiler_gnu=no 
     2369fi 
     2370rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     2371ac_cv_c_compiler_gnu=$ac_compiler_gnu 
     2372 
     2373fi 
     2374echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5 
     2375echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6 
     2376GCC=`test $ac_compiler_gnu = yes && echo yes` 
     2377ac_test_CFLAGS=${CFLAGS+set} 
     2378ac_save_CFLAGS=$CFLAGS 
     2379CFLAGS="-g" 
     2380echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5 
     2381echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6 
     2382if test "${ac_cv_prog_cc_g+set}" = set; then 
     2383  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2384else 
     2385  cat >conftest.$ac_ext <<_ACEOF 
     2386/* confdefs.h.  */ 
     2387_ACEOF 
     2388cat confdefs.h >>conftest.$ac_ext 
     2389cat >>conftest.$ac_ext <<_ACEOF 
     2390/* end confdefs.h.  */ 
     2391 
     2392int 
     2393main () 
     2394{ 
     2395 
     2396  ; 
     2397  return 0; 
     2398} 
     2399_ACEOF 
     2400rm -f conftest.$ac_objext 
     2401if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     2402  (eval $ac_compile) 2>conftest.er1 
     2403  ac_status=$? 
     2404  grep -v '^ *+' conftest.er1 >conftest.err 
     2405  rm -f conftest.er1 
     2406  cat conftest.err >&5 
     2407  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2408  (exit $ac_status); } && 
     2409     { ac_try='test -z "$ac_c_werror_flag" 
     2410             || test ! -s conftest.err' 
     2411  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2412  (eval $ac_try) 2>&5 
     2413  ac_status=$? 
     2414  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2415  (exit $ac_status); }; } && 
     2416     { ac_try='test -s conftest.$ac_objext' 
     2417  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2418  (eval $ac_try) 2>&5 
     2419  ac_status=$? 
     2420  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2421  (exit $ac_status); }; }; then 
     2422  ac_cv_prog_cc_g=yes 
     2423else 
     2424  echo "$as_me: failed program was:" >&5 
     2425sed 's/^/| /' conftest.$ac_ext >&5 
     2426 
     2427ac_cv_prog_cc_g=no 
     2428fi 
     2429rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     2430fi 
     2431echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5 
     2432echo "${ECHO_T}$ac_cv_prog_cc_g" >&6 
     2433if test "$ac_test_CFLAGS" = set; then 
     2434  CFLAGS=$ac_save_CFLAGS 
     2435elif test $ac_cv_prog_cc_g = yes; then 
     2436  if test "$GCC" = yes; then 
     2437    CFLAGS="-g -O2" 
     2438  else 
     2439    CFLAGS="-g" 
     2440  fi 
     2441else 
     2442  if test "$GCC" = yes; then 
     2443    CFLAGS="-O2" 
     2444  else 
     2445    CFLAGS= 
     2446  fi 
     2447fi 
     2448echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5 
     2449echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6 
     2450if test "${ac_cv_prog_cc_stdc+set}" = set; then 
     2451  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2452else 
     2453  ac_cv_prog_cc_stdc=no 
     2454ac_save_CC=$CC 
     2455cat >conftest.$ac_ext <<_ACEOF 
     2456/* confdefs.h.  */ 
     2457_ACEOF 
     2458cat confdefs.h >>conftest.$ac_ext 
     2459cat >>conftest.$ac_ext <<_ACEOF 
     2460/* end confdefs.h.  */ 
     2461#include <stdarg.h> 
     2462#include <stdio.h> 
     2463#include <sys/types.h> 
     2464#include <sys/stat.h> 
     2465/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */ 
     2466struct buf { int x; }; 
     2467FILE * (*rcsopen) (struct buf *, struct stat *, int); 
     2468static char *e (p, i) 
     2469     char **p; 
     2470     int i; 
     2471{ 
     2472  return p[i]; 
     2473} 
     2474static char *f (char * (*g) (char **, int), char **p, ...) 
     2475{ 
     2476  char *s; 
     2477  va_list v; 
     2478  va_start (v,p); 
     2479  s = g (p, va_arg (v,int)); 
     2480  va_end (v); 
     2481  return s; 
     2482} 
     2483 
     2484/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has 
     2485   function prototypes and stuff, but not '\xHH' hex character constants. 
     2486   These don't provoke an error unfortunately, instead are silently treated 
     2487   as 'x'.  The following induces an error, until -std1 is added to get 
     2488   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an 
     2489   array size at least.  It's necessary to write '\x00'==0 to get something 
     2490   that's true only with -std1.  */ 
     2491int osf4_cc_array ['\x00' == 0 ? 1 : -1]; 
     2492 
     2493int test (int i, double x); 
     2494struct s1 {int (*f) (int a);}; 
     2495struct s2 {int (*f) (double a);}; 
     2496int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int); 
     2497int argc; 
     2498char **argv; 
     2499int 
     2500main () 
     2501{ 
     2502return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1]; 
     2503  ; 
     2504  return 0; 
     2505} 
     2506_ACEOF 
     2507# Don't try gcc -ansi; that turns off useful extensions and 
     2508# breaks some systems' header files. 
     2509# AIX           -qlanglvl=ansi 
     2510# Ultrix and OSF/1  -std1 
     2511# HP-UX 10.20 and later -Ae 
     2512# HP-UX older versions  -Aa -D_HPUX_SOURCE 
     2513# SVR4          -Xc -D__EXTENSIONS__ 
     2514for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__" 
     2515do 
     2516  CC="$ac_save_CC $ac_arg" 
     2517  rm -f conftest.$ac_objext 
     2518if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     2519  (eval $ac_compile) 2>conftest.er1 
     2520  ac_status=$? 
     2521  grep -v '^ *+' conftest.er1 >conftest.err 
     2522  rm -f conftest.er1 
     2523  cat conftest.err >&5 
     2524  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2525  (exit $ac_status); } && 
     2526     { ac_try='test -z "$ac_c_werror_flag" 
     2527             || test ! -s conftest.err' 
     2528  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2529  (eval $ac_try) 2>&5 
     2530  ac_status=$? 
     2531  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2532  (exit $ac_status); }; } && 
     2533     { ac_try='test -s conftest.$ac_objext' 
     2534  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2535  (eval $ac_try) 2>&5 
     2536  ac_status=$? 
     2537  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2538  (exit $ac_status); }; }; then 
     2539  ac_cv_prog_cc_stdc=$ac_arg 
     2540break 
     2541else 
     2542  echo "$as_me: failed program was:" >&5 
     2543sed 's/^/| /' conftest.$ac_ext >&5 
     2544 
     2545fi 
     2546rm -f conftest.err conftest.$ac_objext 
     2547done 
     2548rm -f conftest.$ac_ext conftest.$ac_objext 
     2549CC=$ac_save_CC 
     2550 
     2551fi 
     2552 
     2553case "x$ac_cv_prog_cc_stdc" in 
     2554  x|xno) 
     2555    echo "$as_me:$LINENO: result: none needed" >&5 
     2556echo "${ECHO_T}none needed" >&6 ;; 
     2557  *) 
     2558    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5 
     2559echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6 
     2560    CC="$CC $ac_cv_prog_cc_stdc" ;; 
     2561esac 
     2562 
     2563# Some people use a C++ compiler to compile C.  Since we use `exit', 
     2564# in C++ we need to declare it.  In case someone uses the same compiler 
     2565# for both compiling C and C++ we need to have the C++ compiler decide 
     2566# the declaration of exit, since it's the most demanding environment. 
     2567cat >conftest.$ac_ext <<_ACEOF 
     2568#ifndef __cplusplus 
     2569  choke me 
     2570#endif 
     2571_ACEOF 
     2572rm -f conftest.$ac_objext 
     2573if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     2574  (eval $ac_compile) 2>conftest.er1 
     2575  ac_status=$? 
     2576  grep -v '^ *+' conftest.er1 >conftest.err 
     2577  rm -f conftest.er1 
     2578  cat conftest.err >&5 
     2579  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2580  (exit $ac_status); } && 
     2581     { ac_try='test -z "$ac_c_werror_flag" 
     2582             || test ! -s conftest.err' 
     2583  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2584  (eval $ac_try) 2>&5 
     2585  ac_status=$? 
     2586  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2587  (exit $ac_status); }; } && 
     2588     { ac_try='test -s conftest.$ac_objext' 
     2589  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2590  (eval $ac_try) 2>&5 
     2591  ac_status=$? 
     2592  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2593  (exit $ac_status); }; }; then 
     2594  for ac_declaration in \ 
     2595   '' \ 
     2596   'extern "C" void std::exit (int) throw (); using std::exit;' \ 
     2597   'extern "C" void std::exit (int); using std::exit;' \ 
     2598   'extern "C" void exit (int) throw ();' \ 
     2599   'extern "C" void exit (int);' \ 
     2600   'void exit (int);' 
     2601do 
     2602  cat >conftest.$ac_ext <<_ACEOF 
     2603/* confdefs.h.  */ 
     2604_ACEOF 
     2605cat confdefs.h >>conftest.$ac_ext 
     2606cat >>conftest.$ac_ext <<_ACEOF 
     2607/* end confdefs.h.  */ 
     2608$ac_declaration 
     2609#include <stdlib.h> 
     2610int 
     2611main () 
     2612{ 
     2613exit (42); 
     2614  ; 
     2615  return 0; 
     2616} 
     2617_ACEOF 
     2618rm -f conftest.$ac_objext 
     2619if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     2620  (eval $ac_compile) 2>conftest.er1 
     2621  ac_status=$? 
     2622  grep -v '^ *+' conftest.er1 >conftest.err 
     2623  rm -f conftest.er1 
     2624  cat conftest.err >&5 
     2625  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2626  (exit $ac_status); } && 
     2627     { ac_try='test -z "$ac_c_werror_flag" 
     2628             || test ! -s conftest.err' 
     2629  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2630  (eval $ac_try) 2>&5 
     2631  ac_status=$? 
     2632  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2633  (exit $ac_status); }; } && 
     2634     { ac_try='test -s conftest.$ac_objext' 
     2635  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2636  (eval $ac_try) 2>&5 
     2637  ac_status=$? 
     2638  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2639  (exit $ac_status); }; }; then 
     2640  : 
     2641else 
     2642  echo "$as_me: failed program was:" >&5 
     2643sed 's/^/| /' conftest.$ac_ext >&5 
     2644 
     2645continue 
     2646fi 
     2647rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     2648  cat >conftest.$ac_ext <<_ACEOF 
     2649/* confdefs.h.  */ 
     2650_ACEOF 
     2651cat confdefs.h >>conftest.$ac_ext 
     2652cat >>conftest.$ac_ext <<_ACEOF 
     2653/* end confdefs.h.  */ 
     2654$ac_declaration 
     2655int 
     2656main () 
     2657{ 
     2658exit (42); 
     2659  ; 
     2660  return 0; 
     2661} 
     2662_ACEOF 
     2663rm -f conftest.$ac_objext 
     2664if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     2665  (eval $ac_compile) 2>conftest.er1 
     2666  ac_status=$? 
     2667  grep -v '^ *+' conftest.er1 >conftest.err 
     2668  rm -f conftest.er1 
     2669  cat conftest.err >&5 
     2670  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2671  (exit $ac_status); } && 
     2672     { ac_try='test -z "$ac_c_werror_flag" 
     2673             || test ! -s conftest.err' 
     2674  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2675  (eval $ac_try) 2>&5 
     2676  ac_status=$? 
     2677  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2678  (exit $ac_status); }; } && 
     2679     { ac_try='test -s conftest.$ac_objext' 
     2680  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2681  (eval $ac_try) 2>&5 
     2682  ac_status=$? 
     2683  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2684  (exit $ac_status); }; }; then 
     2685  break 
     2686else 
     2687  echo "$as_me: failed program was:" >&5 
     2688sed 's/^/| /' conftest.$ac_ext >&5 
     2689 
     2690fi 
     2691rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     2692done 
     2693rm -f conftest* 
     2694if test -n "$ac_declaration"; then 
     2695  echo '#ifdef __cplusplus' >>confdefs.h 
     2696  echo $ac_declaration      >>confdefs.h 
     2697  echo '#endif'             >>confdefs.h 
     2698fi 
     2699 
     2700else 
     2701  echo "$as_me: failed program was:" >&5 
     2702sed 's/^/| /' conftest.$ac_ext >&5 
     2703 
     2704fi 
     2705rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 
     2706ac_ext=c 
     2707ac_cpp='$CPP $CPPFLAGS' 
     2708ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
     2709ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
     2710ac_compiler_gnu=$ac_cv_c_compiler_gnu 
     2711 
     2712depcc="$CC"   am_compiler_list= 
     2713 
     2714echo "$as_me:$LINENO: checking dependency style of $depcc" >&5 
     2715echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6 
     2716if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then 
     2717  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2718else 
     2719  if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then 
     2720  # We make a subdir and do the tests there.  Otherwise we can end up 
     2721  # making bogus files that we don't know about and never remove.  For 
     2722  # instance it was reported that on HP-UX the gcc test will end up 
     2723  # making a dummy file named `D' -- because `-MD' means `put the output 
     2724  # in D'. 
     2725  mkdir conftest.dir 
     2726  # Copy depcomp to subdir because otherwise we won't find it if we're 
     2727  # using a relative directory. 
     2728  cp "$am_depcomp" conftest.dir 
     2729  cd conftest.dir 
     2730  # We will build objects and dependencies in a subdirectory because 
     2731  # it helps to detect inapplicable dependency modes.  For instance 
     2732  # both Tru64's cc and ICC support -MD to output dependencies as a 
     2733  # side effect of compilation, but ICC will put the dependencies in 
     2734  # the current directory while Tru64 will put them in the object 
     2735  # directory. 
     2736  mkdir sub 
     2737 
     2738  am_cv_CC_dependencies_compiler_type=none 
     2739  if test "$am_compiler_list" = ""; then 
     2740     am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp` 
     2741  fi 
     2742  for depmode in $am_compiler_list; do 
     2743    # Setup a source with many dependencies, because some compilers 
     2744    # like to wrap large dependency lists on column 80 (with \), and 
     2745    # we should not choose a depcomp mode which is confused by this. 
     2746    # 
     2747    # We need to recreate these files for each test, as the compiler may 
     2748    # overwrite some of them when testing with obscure command lines. 
     2749    # This happens at least with the AIX C compiler. 
     2750    : > sub/conftest.c 
     2751    for i in 1 2 3 4 5 6; do 
     2752      echo '#include "conftst'$i'.h"' >> sub/conftest.c 
     2753      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with 
     2754      # Solaris 8's {/usr,}/bin/sh. 
     2755      touch sub/conftst$i.h 
     2756    done 
     2757    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 
     2758 
     2759    case $depmode in 
     2760    nosideeffect) 
     2761      # after this tag, mechanisms are not by side-effect, so they'll 
     2762      # only be used when explicitly requested 
     2763      if test "x$enable_dependency_tracking" = xyes; then 
     2764    continue 
     2765      else 
     2766    break 
     2767      fi 
     2768      ;; 
     2769    none) break ;; 
     2770    esac 
     2771    # We check with `-c' and `-o' for the sake of the "dashmstdout" 
     2772    # mode.  It turns out that the SunPro C++ compiler does not properly 
     2773    # handle `-M -o', and we need to detect this. 
     2774    if depmode=$depmode \ 
     2775       source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \ 
     2776       depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \ 
     2777       $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \ 
     2778         >/dev/null 2>conftest.err && 
     2779       grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 
     2780       grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 
     2781       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 
     2782      # icc doesn't choke on unknown options, it will just issue warnings 
     2783      # or remarks (even with -Werror).  So we grep stderr for any message 
     2784      # that says an option was ignored or not supported. 
     2785      # When given -MP, icc 7.0 and 7.1 complain thusly: 
     2786      #   icc: Command line warning: ignoring option '-M'; no argument required 
     2787      # The diagnosis changed in icc 8.0: 
     2788      #   icc: Command line remark: option '-MP' not supported 
     2789      if (grep 'ignoring option' conftest.err || 
     2790          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else 
     2791        am_cv_CC_dependencies_compiler_type=$depmode 
     2792        break 
     2793      fi 
     2794    fi 
     2795  done 
     2796 
     2797  cd .. 
     2798  rm -rf conftest.dir 
     2799else 
     2800  am_cv_CC_dependencies_compiler_type=none 
     2801fi 
     2802 
     2803fi 
     2804echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5 
     2805echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6 
     2806CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type 
     2807 
     2808 
     2809 
     2810if 
     2811  test "x$enable_dependency_tracking" != xno \ 
     2812  && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then 
     2813  am__fastdepCC_TRUE= 
     2814  am__fastdepCC_FALSE='#' 
     2815else 
     2816  am__fastdepCC_TRUE='#' 
     2817  am__fastdepCC_FALSE= 
     2818fi 
     2819 
     2820 
     2821 
     2822 
     2823echo "$as_me:$LINENO: checking for main in -lcrypt" >&5 
     2824echo $ECHO_N "checking for main in -lcrypt... $ECHO_C" >&6 
     2825if test "${ac_cv_lib_crypt_main+set}" = set; then 
     2826  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2827else 
     2828  ac_check_lib_save_LIBS=$LIBS 
     2829LIBS="-lcrypt  $LIBS" 
     2830cat >conftest.$ac_ext <<_ACEOF 
     2831/* confdefs.h.  */ 
     2832_ACEOF 
     2833cat confdefs.h >>conftest.$ac_ext 
     2834cat >>conftest.$ac_ext <<_ACEOF 
     2835/* end confdefs.h.  */ 
     2836 
     2837 
     2838int 
     2839main () 
     2840{ 
     2841main (); 
     2842  ; 
     2843  return 0; 
     2844} 
     2845_ACEOF 
     2846rm -f conftest.$ac_objext conftest$ac_exeext 
     2847if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     2848  (eval $ac_link) 2>conftest.er1 
     2849  ac_status=$? 
     2850  grep -v '^ *+' conftest.er1 >conftest.err 
     2851  rm -f conftest.er1 
     2852  cat conftest.err >&5 
     2853  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2854  (exit $ac_status); } && 
     2855     { ac_try='test -z "$ac_c_werror_flag" 
     2856             || test ! -s conftest.err' 
     2857  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2858  (eval $ac_try) 2>&5 
     2859  ac_status=$? 
     2860  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2861  (exit $ac_status); }; } && 
     2862     { ac_try='test -s conftest$ac_exeext' 
     2863  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     2864  (eval $ac_try) 2>&5 
     2865  ac_status=$? 
     2866  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2867  (exit $ac_status); }; }; then 
     2868  ac_cv_lib_crypt_main=yes 
     2869else 
     2870  echo "$as_me: failed program was:" >&5 
     2871sed 's/^/| /' conftest.$ac_ext >&5 
     2872 
     2873ac_cv_lib_crypt_main=no 
     2874fi 
     2875rm -f conftest.err conftest.$ac_objext \ 
     2876      conftest$ac_exeext conftest.$ac_ext 
     2877LIBS=$ac_check_lib_save_LIBS 
     2878fi 
     2879echo "$as_me:$LINENO: result: $ac_cv_lib_crypt_main" >&5 
     2880echo "${ECHO_T}$ac_cv_lib_crypt_main" >&6 
     2881if test $ac_cv_lib_crypt_main = yes; then 
     2882  cat >>confdefs.h <<_ACEOF 
     2883#define HAVE_LIBCRYPT 1 
     2884_ACEOF 
     2885 
     2886  LIBS="-lcrypt $LIBS" 
     2887 
     2888fi 
     2889ac_cv_lib_crypt=ac_cv_lib_crypt_main 
     2890 
     2891 
     2892# This package requires C++ compilation and library creation 
     2893ac_ext=cc 
     2894ac_cpp='$CXXCPP $CPPFLAGS' 
     2895ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 
     2896ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
     2897ac_compiler_gnu=$ac_cv_cxx_compiler_gnu 
     2898if test -n "$ac_tool_prefix"; then 
     2899  for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC 
     2900  do 
     2901    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args. 
     2902set dummy $ac_tool_prefix$ac_prog; ac_word=$2 
     2903echo "$as_me:$LINENO: checking for $ac_word" >&5 
     2904echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
     2905if test "${ac_cv_prog_CXX+set}" = set; then 
     2906  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2907else 
     2908  if test -n "$CXX"; then 
     2909  ac_cv_prog_CXX="$CXX" # Let the user override the test. 
     2910else 
     2911as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     2912for as_dir in $PATH 
     2913do 
     2914  IFS=$as_save_IFS 
     2915  test -z "$as_dir" && as_dir=. 
     2916  for ac_exec_ext in '' $ac_executable_extensions; do 
     2917  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
     2918    ac_cv_prog_CXX="$ac_tool_prefix$ac_prog" 
     2919    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
     2920    break 2 
     2921  fi 
     2922done 
     2923done 
     2924 
     2925fi 
     2926fi 
     2927CXX=$ac_cv_prog_CXX 
     2928if test -n "$CXX"; then 
     2929  echo "$as_me:$LINENO: result: $CXX" >&5 
     2930echo "${ECHO_T}$CXX" >&6 
     2931else 
     2932  echo "$as_me:$LINENO: result: no" >&5 
     2933echo "${ECHO_T}no" >&6 
     2934fi 
     2935 
     2936    test -n "$CXX" && break 
     2937  done 
     2938fi 
     2939if test -z "$CXX"; then 
     2940  ac_ct_CXX=$CXX 
     2941  for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC 
     2942do 
     2943  # Extract the first word of "$ac_prog", so it can be a program name with args. 
     2944set dummy $ac_prog; ac_word=$2 
     2945echo "$as_me:$LINENO: checking for $ac_word" >&5 
     2946echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 
     2947if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then 
     2948  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2949else 
     2950  if test -n "$ac_ct_CXX"; then 
     2951  ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test. 
     2952else 
     2953as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     2954for as_dir in $PATH 
     2955do 
     2956  IFS=$as_save_IFS 
     2957  test -z "$as_dir" && as_dir=. 
     2958  for ac_exec_ext in '' $ac_executable_extensions; do 
     2959  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then 
     2960    ac_cv_prog_ac_ct_CXX="$ac_prog" 
     2961    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
     2962    break 2 
     2963  fi 
     2964done 
     2965done 
     2966 
     2967fi 
     2968fi 
     2969ac_ct_CXX=$ac_cv_prog_ac_ct_CXX 
     2970if test -n "$ac_ct_CXX"; then 
     2971  echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5 
     2972echo "${ECHO_T}$ac_ct_CXX" >&6 
     2973else 
     2974  echo "$as_me:$LINENO: result: no" >&5 
     2975echo "${ECHO_T}no" >&6 
     2976fi 
     2977 
     2978  test -n "$ac_ct_CXX" && break 
     2979done 
     2980test -n "$ac_ct_CXX" || ac_ct_CXX="g++" 
     2981 
     2982  CXX=$ac_ct_CXX 
     2983fi 
     2984 
     2985 
     2986# Provide some information about the compiler. 
     2987echo "$as_me:$LINENO:" \ 
     2988     "checking for C++ compiler version" >&5 
     2989ac_compiler=`set X $ac_compile; echo $2` 
     2990{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5 
     2991  (eval $ac_compiler --version </dev/null >&5) 2>&5 
     2992  ac_status=$? 
     2993  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2994  (exit $ac_status); } 
     2995{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5 
     2996  (eval $ac_compiler -v </dev/null >&5) 2>&5 
     2997  ac_status=$? 
     2998  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     2999  (exit $ac_status); } 
     3000{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5 
     3001  (eval $ac_compiler -V </dev/null >&5) 2>&5 
     3002  ac_status=$? 
     3003  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     3004  (exit $ac_status); } 
     3005 
    20213006echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5 
    20223007echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6 
     
    22603245ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 
    22613246ac_compiler_gnu=$ac_cv_c_compiler_gnu 
    2262 DEPDIR="${am__leading_dot}deps" 
    2263  
    2264           ac_config_commands="$ac_config_commands depfiles" 
    2265  
    2266  
    2267 am_make=${MAKE-make} 
    2268 cat > confinc << 'END' 
    2269 am__doit: 
    2270     @echo done 
    2271 .PHONY: am__doit 
    2272 END 
    2273 # If we don't find an include directive, just comment out the code. 
    2274 echo "$as_me:$LINENO: checking for style of include used by $am_make" >&5 
    2275 echo $ECHO_N "checking for style of include used by $am_make... $ECHO_C" >&6 
    2276 am__include="#" 
    2277 am__quote= 
    2278 _am_result=none 
    2279 # First try GNU make style include. 
    2280 echo "include confinc" > confmf 
    2281 # We grep out `Entering directory' and `Leaving directory' 
    2282 # messages which can occur if `w' ends up in MAKEFLAGS. 
    2283 # In particular we don't look at `^make:' because GNU make might 
    2284 # be invoked under some other name (usually "gmake"), in which 
    2285 # case it prints its new name instead of `make'. 
    2286 if test "`$am_make -s -f confmf 2> /dev/null | grep -v 'ing directory'`" = "done"; then 
    2287    am__include=include 
    2288    am__quote= 
    2289    _am_result=GNU 
    2290 fi 
    2291 # Now try BSD make style include. 
    2292 if test "$am__include" = "#"; then 
    2293    echo '.include "confinc"' > confmf 
    2294    if test "`$am_make -s -f confmf 2> /dev/null`" = "done"; then 
    2295       am__include=.include 
    2296       am__quote="\"" 
    2297       _am_result=BSD 
    2298    fi 
    2299 fi 
    2300  
    2301  
    2302 echo "$as_me:$LINENO: result: $_am_result" >&5 
    2303 echo "${ECHO_T}$_am_result" >&6 
    2304 rm -f confinc confmf 
    2305  
    2306 # Check whether --enable-dependency-tracking or --disable-dependency-tracking was given. 
    2307 if test "${enable_dependency_tracking+set}" = set; then 
    2308   enableval="$enable_dependency_tracking" 
    2309  
    2310 fi; 
    2311 if test "x$enable_dependency_tracking" != xno; then 
    2312   am_depcomp="$ac_aux_dir/depcomp" 
    2313   AMDEPBACKSLASH='\' 
    2314 fi 
    2315  
    2316  
    2317 if test "x$enable_dependency_tracking" != xno; then 
    2318   AMDEP_TRUE= 
    2319   AMDEP_FALSE='#' 
    2320 else 
    2321   AMDEP_TRUE='#' 
    2322   AMDEP_FALSE= 
    2323 fi 
    2324  
    2325  
    2326  
    23273247 
    23283248depcc="$CXX"  am_compiler_list= 
     
    27883708Usually this means the macro was only invoked conditionally." >&5 
    27893709echo "$as_me: error: conditional \"AMDEP\" was never defined. 
     3710Usually this means the macro was only invoked conditionally." >&2;} 
     3711   { (exit 1); exit 1; }; } 
     3712fi 
     3713if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then 
     3714  { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined. 
     3715Usually this means the macro was only invoked conditionally." >&5 
     3716echo "$as_me: error: conditional \"am__fastdepCC\" was never defined. 
    27903717Usually this means the macro was only invoked conditionally." >&2;} 
    27913718   { (exit 1); exit 1; }; } 
     
    33624289s,@am__tar@,$am__tar,;t t 
    33634290s,@am__untar@,$am__untar,;t t 
    3364 s,@CXX@,$CXX,;t t 
    3365 s,@CXXFLAGS@,$CXXFLAGS,;t t 
     4291s,@CC@,$CC,;t t 
     4292s,@CFLAGS@,$CFLAGS,;t t 
    33664293s,@LDFLAGS@,$LDFLAGS,;t t 
    33674294s,@CPPFLAGS@,$CPPFLAGS,;t t 
    3368 s,@ac_ct_CXX@,$ac_ct_CXX,;t t 
     4295s,@ac_ct_CC@,$ac_ct_CC,;t t 
    33694296s,@EXEEXT@,$EXEEXT,;t t 
    33704297s,@OBJEXT@,$OBJEXT,;t t 
     
    33754302s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t 
    33764303s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t 
     4304s,@CCDEPMODE@,$CCDEPMODE,;t t 
     4305s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t 
     4306s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t 
     4307s,@CXX@,$CXX,;t t 
     4308s,@CXXFLAGS@,$CXXFLAGS,;t t 
     4309s,@ac_ct_CXX@,$ac_ct_CXX,;t t 
    33774310s,@CXXDEPMODE@,$CXXDEPMODE,;t t 
    33784311s,@am__fastdepCXX_TRUE@,$am__fastdepCXX_TRUE,;t t 
  • main/trunk/gs2-core/runtime-src/configure.ac

    r21482 r21494  
    3131AM_INIT_AUTOMAKE([-Wall -Werror foreign no-define]) 
    3232 
     33# This package requires the crypt library 
     34AC_HAVE_LIBRARY(crypt) 
     35 
    3336# This package requires C++ compilation and library creation 
    3437AC_PROG_CXX 
  • main/trunk/gs2-core/runtime-src/src/colservr/Makefile.in

    r21478 r21494  
    122122AUTOMAKE = @AUTOMAKE@ 
    123123AWK = @AWK@ 
     124CC = @CC@ 
     125CCDEPMODE = @CCDEPMODE@ 
     126CFLAGS = @CFLAGS@ 
    124127COMPAT32BITFLAGS = @COMPAT32BITFLAGS@ 
    125128CPPFLAGS = @CPPFLAGS@ 
     
    158161USE_SQLITE_TRUE = @USE_SQLITE_TRUE@ 
    159162VERSION = @VERSION@ 
     163ac_ct_CC = @ac_ct_CC@ 
    160164ac_ct_CXX = @ac_ct_CXX@ 
    161165ac_ct_RANLIB = @ac_ct_RANLIB@ 
    162166ac_ct_STRIP = @ac_ct_STRIP@ 
     167am__fastdepCC_FALSE = @am__fastdepCC_FALSE@ 
     168am__fastdepCC_TRUE = @am__fastdepCC_TRUE@ 
    163169am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@ 
    164170am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@ 
  • main/trunk/gs2-core/runtime-src/src/protocol/Makefile.in

    r21477 r21494  
    102102AUTOMAKE = @AUTOMAKE@ 
    103103AWK = @AWK@ 
     104CC = @CC@ 
     105CCDEPMODE = @CCDEPMODE@ 
     106CFLAGS = @CFLAGS@ 
    104107COMPAT32BITFLAGS = @COMPAT32BITFLAGS@ 
    105108CPPFLAGS = @CPPFLAGS@ 
     
    138141USE_SQLITE_TRUE = @USE_SQLITE_TRUE@ 
    139142VERSION = @VERSION@ 
     143ac_ct_CC = @ac_ct_CC@ 
    140144ac_ct_CXX = @ac_ct_CXX@ 
    141145ac_ct_RANLIB = @ac_ct_RANLIB@ 
    142146ac_ct_STRIP = @ac_ct_STRIP@ 
     147am__fastdepCC_FALSE = @am__fastdepCC_FALSE@ 
     148am__fastdepCC_TRUE = @am__fastdepCC_TRUE@ 
    143149am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@ 
    144150am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@